hwloc_backend(3)

NAME
hwloc_backend

SYNOPSIS

#include <plugins.h>

  Data Fields
unsigned long flags
int is_thissystem
void * private_data
void(* disable )(struct hwloc_backend *backend)
int(* discover )(struct hwloc_backend *backend)
int(* get_pci_busid_cpuset )(struct hwloc_backend *backend, struct hwloc_pcidev_attr_s *busid, hwloc_bitmap_t cpuset)

Detailed Description

Discovery backend structure. A backend is the instantiation of a discovery component. When a component gets enabled for a topology, its instantiate() callback creates a backend.

hwloc_backend_alloc() initializes all fields to default values that the component may change (except 'component' and 'next') before enabling the backend with hwloc_backend_enable().

Field Documentation

  void(* hwloc_backend::disable) (struct hwloc_backend *backend)

Callback for freeing the private_data. May be NULL.

  int(* hwloc_backend::discover) (struct hwloc_backend *backend)

Main discovery callback. returns -1 on error, either because it couldn't add its objects ot the existing topology, or because of an actual discovery/gathering failure. May be NULL.

  unsigned long hwloc_backend::flags

Backend flags, currently always 0.

  int(* hwloc_backend::get_pci_busid_cpuset) (struct hwloc_backend *backend, struct hwloc_pcidev_attr_s *busid, hwloc_bitmap_t cpuset)

Callback used by the PCI backend to retrieve the locality of a PCI object from the OS/cpu backend. May be NULL.

  int hwloc_backend::is_thissystem

Backend-specific 'is_thissystem' property. Set to 0 or 1 if the backend should enforce the thissystem flag when it gets enabled. Set to -1 if the backend doesn't care (default).

  void* hwloc_backend::private_data

Backend private data, or NULL if none.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.